﻿//****VARIABLES GLOBALES*****************
var contador:Number = new Number(0);
var porcentaje:Number=new Number(0);
var list_preguntas:Array = new Array();
//***************************************

//*********************************************************************************************//
//*********************************************************************************************//
//***	LA SIGUIENTE FUNCION CARGA LAS PREGUNTAS DEL xml CON SUS RESPUESTAS					***//
//***	SUS PARAMETROS SON:																	***//
//***		id_mcTexto:String = IDENTIFICADOR DE LINKAGE DEL MOVIE CLIP QUE VA A			***//
//***							CONTENER EL TEXTO. NOTA: EL MOVIE CLIP DEBE TENER			***//
//***							INTERNAMENTE UNA CAJA DE TEXTO DINAMICO, CON EL				***//
//***							NOMBRE "texto"												***//
//***	   id_mc_boton:String = IDENTIFICADOR DE LINKAGE DEL MOVIE CLIP QUE VA A			***//
//***							FUNCIONAR COMO BOTON. NOTA: EL MOVIE CLIP DEBE TENER		***//
//***							4 FRAMES: 													***//
//***								frame 1: BOTON INACTIVO									***//
//***								frame 2: BOTON SELECCIONADO								***//
//***								frame 3: BOTON QUE DEMUESTRA QUE LA RESPUESTA			***//
//***										 ES CORRECTA									***//
//***								frame 4: BOTON QUE DEMUESTRA QUE LA RESPUESTA			***//
//***										 ES INCORRECTA									***//
//***			  posX:Number = POSICION EN X DONDE COMENSARA A CREARSE LAS PREGUNTAS		***//
//***			  posY:Number = POSICION EN Y DONDE COMENSARA A CREARSE LAS PREGUNTAS		***//
//*********************************************************************************************//
//*********************************************************************************************//
function cargarPreguntas(id_mcTexto:String,id_mc_boton:String,posX:Number,posY:Number){
	
	for (var i = 0; i<_root.PREGUNTAS.length; i++) {
		xx=posX+6;
		//*****************************//
		//***	CREO LAS PREGUNTAS	***//
		//*****************************//
		this.attachMovie(id_mcTexto,"pregunta_"+i,this.getNextHighestDepth(),{_x:posX, _y:posY});
		list_preguntas[i] = this["pregunta_"+i];
		list_preguntas[i].texto.text = _root.PREGUNTAS[i].txt;
		list_preguntas[i].texto.autoSize = true;
		list_preguntas[i].resp_correcta = -1;//VARIABLE DONDE SE GUARDA LA RESPUESTA
											 //SELECCIONADA. AL INICIO NO NINGUNA (-1)
											 
		list_preguntas[i].list_respuestas=new Array();//ARRAY DONDE SE VAN A GUARDAR
													  //LAS RESPUESTAS
	
		posY = list_preguntas[i].texto._y+list_preguntas[i].texto._height+5;
	
		for (var a = 0; a<_root.PREGUNTAS[i].resp.length; a++) {
			//*****************************//
			//***	CREO LAS RESPUESTAS	***//
			//*****************************//
			list_preguntas[i].attachMovie(id_mcTexto,"respuesta_"+a,list_preguntas[i].getNextHighestDepth(),{_x:xx, _y:posY});
			list_preguntas[i].list_respuestas[a]=list_preguntas[i]["respuesta_"+a];
			list_preguntas[i].list_respuestas[a].texto.text = _root.PREGUNTAS[i].resp[a];
			list_preguntas[i].list_respuestas[a].texto.autoSize = true;
			
			//*****************************************//
			//***	CREO EL BOTON DE LA RESPUESTA	***//
			//*****************************************//
			list_preguntas[i].list_respuestas[a].attachMovie(id_mc_boton,"btn_resp",list_preguntas[i].list_respuestas[a].getNextHighestDepth(),{_x:(list_preguntas[i].list_respuestas[a]._width+15), _y:((list_preguntas[i].list_respuestas[a]._height/2))});
			list_preguntas[i].list_respuestas[a].btn_resp.num_preg = i;
			list_preguntas[i].list_respuestas[a].btn_resp.num_resp = a;
			
			xx += list_preguntas[i].list_respuestas[a]._width+25;
	
			//*****************************************//
			//***	LE DOY FUNCIONALIDAD AL BOTON	***//
			//*****************************************//
			list_preguntas[i].list_respuestas[a].btn_resp.onRelease = function() {
				
				//GUARDO EL NUMERO DE LA RESPUESTA SELECCIONADA
				list_preguntas[this.num_preg].resp_correcta = this.num_resp;
	
				this.gotoAndStop(2);
				for (var e = 0; e<_root.PREGUNTAS[this.num_preg].resp.length; e++) {
					if (e != this.num_resp) {
						list_preguntas[this.num_preg].list_respuestas[e].btn_resp.gotoAndStop(1);
					}
				}
				comprobar_cant_resp();
			};
	
		}
		posY = list_preguntas[i]._y+list_preguntas[i]._height+15;
	}
}
//*************************************************************************************************//


function comprobar_cant_resp() {
	contador = 0;
	for (var i = 0; i<list_preguntas.length; i++) {
		if (list_preguntas[i].resp_correcta != -1) {
			contador++;
		}
	}
	if (contador>=list_preguntas.length) {
		trace("aparece el boton analizar");
		analizar._visible = true;
	}
}


function analizarResp() {
	contador=0;
	
	//*****************************************************************************//
	//***	MUESTRO  SI LAS RESPUESTAS SELECCIONADAS FUERON BIEN CONTESTADAS.	***//
	//*****************************************************************************//

	for (var i = 0; i<list_preguntas.length; i++) {
		respuesta_correcta=parseInt(_root.PREGUNTAS[i].correcta);
		if (list_preguntas[i].resp_correcta == respuesta_correcta) {
			//SI LA RESPUESTA ES CORRECTA, MUESTRO LA IMAGEN CORRESPONDIENTE
			list_preguntas[i].list_respuestas[respuesta_correcta].btn_resp.gotoAndStop(3);
			contador++;
		} else {
			//SINO LO ES, MUESTRO QUE LA RESPUESTA ES INCORRECTA Y MUESTRO LA
			//RESPUESTA CORRECTA
			list_preguntas[i].list_respuestas[list_preguntas[i].resp_correcta].btn_resp.gotoAndStop(4);
			list_preguntas[i].list_respuestas[respuesta_correcta].btn_resp.gotoAndStop(3);
		}
	}
	
	porcentaje=(contador*100)/list_preguntas.length;
	
	//*****************************//
	//***	BLOQUEO LOS BOTONES	***//
	//*****************************//
	for (var i = 0; i<list_preguntas.length; i++) {
		for (var a = 0; a<_root.PREGUNTAS[i].resp.length; a++) {
			list_preguntas[i].list_respuestas[a].btn_resp.onRelease=0;
		}
	}
	
	ultimaFunc();
}

//*************************************************************************************************//
//***	LA FUNCION SIGUIENTE CREA EL BOTON QUE VA A ANALIZAR LAS RESPUESTAS INGRESADAS			***//
//***	SUS PARAMETROS SON:																		***//
//***		id_btn_analizar_mc:String = IDENTIFICADOR DE LINKAGE DEL MOVIE CLIP QUE VA A		***//
//***									FUNCIONAR COMO BOTON. NOTA: EL MOVIE CLIP DEBE TENER	***//
//***									INTERNAMENTE:											***//
//***											- UNA CAJA DE TEXTO DINAMICO, CON EL NOMBRE		***//
//***											"texto"											***//
//***											- UN MOVIE CLIP QUE IRA DE FONDO, QUE TENDRA	***//
//***											EL NOMBRE DE "fondo"							***//
//***											- UN MOVIE CLIP QUE HARA DE SOMBRA PARA EL		***//
//***											FONDO, QUE TENDRA EL NOMBRE DE "sombra"			***//
//***				 texto_btn:String = TEXTO QUE IRA EN EL CAJA DE TEXTO DINAMICA DEL BOTON	***//
//***						xx:Number = POSICION EN X											***//
//***						yy:Number = POSICION EN Y											***//
//*************************************************************************************************//
function crear_btn_analizar(id_btn_analizar_mc:String, texto_btn:String, xx:Number, yy:Number){
	
	this.attachMovie(id_btn_analizar_mc,"analizar",this.getNextHighestDepth());
	analizar.texto.text = texto_btn;
	analizar.texto.autoSize = true;
	analizar.fondo._width = analizar.texto._width+20;
	analizar.sombra._width = analizar.fondo._width;
	analizar._x = xx-analizar._width;
	analizar._y = yy;
	
	//*************************************************//
	//***	LE DOY FUNCIONALIDAD AL BOTON analizar	***//
	//*************************************************//
	analizar.onRelease = function() {
		trace("analizo las respuestas");
		analizarResp();
		this._visible = false;
	};
	
	
	analizar._visible = false;
}

function getPorcentaje():Number{
	return porcentaje;
}

//*************************************************************************************//
//***	LE SIGUIENTE FUNCION ES LA ULTIMA QUE SE EJECUTA DESPUES DE ANALIZAR LAS	***//
//***	RESPUESTA. EL CODIGO QUE TIENE QUE EJECUTAR ESTA FUNCION DEBE SER DEFINIDO	***//
//***	EXTERNAMENTE.																***//
//*************************************************************************************//
function ultimaFunc(){
	trace("esta es la ultima funcion que se llama");
}